diff -Nur vx/xen-4.5.0/tools/firmware/hvmloader/acpi/acpi2_0.h xen-4.5.0/tools/firmware/hvmloader/acpi/acpi2_0.h
--- vx/xen-4.5.0/tools/firmware/hvmloader/acpi/acpi2_0.h	2015-01-12 11:53:24.000000000 -0500
+++ xen-4.5.0/tools/firmware/hvmloader/acpi/acpi2_0.h	2015-01-21 17:20:38.362361167 -0500
@@ -48,6 +48,10 @@
 #define ACPI_OEM_TABLE_ID       "HVM"
 #define ACPI_OEM_REVISION       0
 
+#define ACPI_SLIC_OEM_ID             "@@OEM_ID@@"
+#define ACPI_SLIC_OEM_TABLE_ID       "@@TABLE_ID@@"
+#define ACPI_SLIC_OEM_REVISION       @@REV_NUM@@
+
 #define ACPI_CREATOR_ID         ASCII32('H','V','M','L') /* HVMLoader */
 #define ACPI_CREATOR_REVISION   0
 
diff -Nur vx/xen-4.5.0/tools/firmware/hvmloader/acpi/build.c xen-4.5.0/tools/firmware/hvmloader/acpi/build.c
--- vx/xen-4.5.0/tools/firmware/hvmloader/acpi/build.c	2015-01-12 11:53:24.000000000 -0500
+++ xen-4.5.0/tools/firmware/hvmloader/acpi/build.c	2015-01-20 13:05:08.640883304 -0500
@@ -28,6 +28,8 @@
 
 #define ACPI_MAX_SECONDARY_TABLES 16
 
+#include "slic.h"
+
 #define align16(sz)        (((sz) + 15) & ~15)
 #define fixed_strcpy(d, s) strncpy((d), (s), sizeof(d))
 
@@ -257,6 +259,7 @@
     struct acpi_20_hpet *hpet;
     struct acpi_20_waet *waet;
     struct acpi_20_tcpa *tcpa;
+    void *slic;
     unsigned char *ssdt;
     static const uint16_t tis_signature[] = {0x0001, 0x0001, 0x0001};
     uint16_t *tis_hdr;
@@ -348,6 +351,10 @@
 
     /* Load any additional tables passed through. */
     nr_tables += construct_passthrough_tables(table_ptrs, nr_tables);
+    
+    slic = mem_alloc(sizeof(SLIC), 16);
+    memcpy(slic, SLIC, sizeof(SLIC));
+    table_ptrs[nr_tables++] = (unsigned long)slic;
 
     table_ptrs[nr_tables] = 0;
     return nr_tables;
diff -Nur vx/xen-4.5.0/tools/firmware/hvmloader/acpi/static_tables.c xen-4.5.0/tools/firmware/hvmloader/acpi/static_tables.c
--- vx/xen-4.5.0/tools/firmware/hvmloader/acpi/static_tables.c	2015-01-12 11:53:24.000000000 -0500
+++ xen-4.5.0/tools/firmware/hvmloader/acpi/static_tables.c	2015-01-21 17:21:12.415094108 -0500
@@ -107,9 +107,9 @@
         .signature    = ACPI_2_0_RSDT_SIGNATURE,
         .length       = sizeof(struct acpi_header),
         .revision     = ACPI_2_0_RSDT_REVISION,
-        .oem_id       = ACPI_OEM_ID, 
-        .oem_table_id = ACPI_OEM_TABLE_ID,
-        .oem_revision = ACPI_OEM_REVISION,
+        .oem_id       = ACPI_SLIC_OEM_ID, 
+        .oem_table_id = ACPI_SLIC_OEM_TABLE_ID,
+        .oem_revision = ACPI_SLIC_OEM_REVISION,
         .creator_id   = ACPI_CREATOR_ID,
         .creator_revision = ACPI_CREATOR_REVISION
     }
@@ -120,9 +120,9 @@
         .signature    = ACPI_2_0_XSDT_SIGNATURE,
         .length       = sizeof(struct acpi_header),
         .revision     = ACPI_2_0_XSDT_REVISION,
-        .oem_id       = ACPI_OEM_ID,
-        .oem_table_id = ACPI_OEM_TABLE_ID,
-        .oem_revision = ACPI_OEM_REVISION,
+        .oem_id       = ACPI_SLIC_OEM_ID,
+        .oem_table_id = ACPI_SLIC_OEM_TABLE_ID,
+        .oem_revision = ACPI_SLIC_OEM_REVISION,
         .creator_id   = ACPI_CREATOR_ID,
         .creator_revision = ACPI_CREATOR_REVISION
     }
